package com.srs.system.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.system.domain.SysSuggestion;

/**
 * 优化建议Service接口
 *
 * @author srs
 * @date 2025-04-29
 */
public interface ISysSuggestionService extends IService<SysSuggestion> {
    /**
     * 查询优化建议
     *
     * @param id 优化建议主键
     * @return 优化建议
     */
    public SysSuggestion selectSysSuggestionById(Long id);

    /**
     * 查询优化建议列表
     *
     * @param sysSuggestion 优化建议
     * @return 优化建议集合
     */
    List<SysSuggestion> selectSysSuggestionList(SysSuggestion sysSuggestion);

    /**
     * 新增优化建议
     *
     * @param sysSuggestion 优化建议
     * @return 结果
     */
    int insertSysSuggestion(SysSuggestion sysSuggestion);

    /**
     * 修改优化建议
     *
     * @param sysSuggestion 优化建议
     * @return 结果
     */
    int updateSysSuggestion(SysSuggestion sysSuggestion);

    /**
     * 批量删除优化建议
     *
     * @param ids 需要删除的优化建议主键集合
     * @return 结果
     */
    int deleteSysSuggestionByIds(Long[] ids);

    /**
     * 删除优化建议信息
     *
     * @param id 优化建议主键
     * @return 结果
     */
    int deleteSysSuggestionById(Long id);
}
